Page MenuHomePhabricator

Compress all versioned, static PNG files with zopflipng
Closed, ResolvedPublic

Description

Zopfli is the most efficient DEFLATE compression algorithm, trading run-time performance for file sizes that are typically 3-8% smaller than those produced by zlib with the maximum compression setting. Its output is Deflate-compatible, so no specialized decoder is needed.

We should iterate over all repositories which contain PNG-encoded user interface components, compressing each image with Zopfli and committing the result.

More on Zopfli: http://blog.codinghorror.com/zopfli-optimization-literally-free-bandwidth/

Details

Related Gerrit Patches:
mediawiki/extensions/Wikilog : masterCompress PNGs with zopflipng
mediawiki/extensions/PageTriage : masterCompress PNGs with zopflipng
mediawiki/extensions/MoodBar : masterCompress PNGs with zopflipng
mediawiki/extensions/BlueSpiceExtensions : masterCompress PNGs with zopflipng
mediawiki/extensions/DonationInterface/vendor : masterCompress PNGs with zopflipng
mediawiki/extensions/Wikidata : masterCompress PNGs with zopflipng
mediawiki/extensions/Wikidata : masterCompress PNGs with zopflipng
mediawiki/extensions/DonationInterface : masterCompress PNGs using zopflipng
mediawiki/extensions/MwEmbedSupport : masterCompress PNGs with zopflipng
mediawiki/extensions/MwEmbedSupport : masterCompress PNGs with zopflipng
mediawiki/extensions/UniversalLanguageSelector : masterCompress PNGs with zopflipng
mediawiki/extensions/UploadWizard : masterCompress PNGs with zopflipng
mediawiki/extensions/UploadWizard : masterCompress PNGs with zopflipng
mediawiki/extensions/WYSIWYG : masterCompress PNGs with zopflipng
mediawiki/extensions/FlaggedRevs : masterCompress PNGs with zopflipng
mediawiki/extensions/EtherEditor : masterCompress PNGs with zopflipng
mediawiki/extensions/WikiLove : masterCompress PNGs with zopflipng
mediawiki/extensions/FundraisingChart : masterCompress PNGs with zopflipng
mediawiki/extensions/CommunityVoice : masterCompress PNGs with zopflipng
mediawiki/extensions/CommunityVoice : masterCompress PNGs with zopflipng
mediawiki/extensions/Echo : masterCompress PNGs with zopflipng
mediawiki/extensions/Echo : masterCompress PNGs with zopflipng
mediawiki/extensions/OpenLayers : masterCompress PNGs with zopflipng
mediawiki/extensions/OpenLayers : masterCompress PNGs with zopflipng
mediawiki/extensions/PhpTagsMaps : masterCompress PNGs with zopflipng
mediawiki/extensions/Popups : masterCompress PNGs with zopflipng
mediawiki/extensions/ProofreadPage : masterCompress PNGs with zopflipng
mediawiki/extensions/Ratings : masterCompress PNGs with zopflipng
mediawiki/extensions/SVGEdit : masterCompress PNGs with zopflipng
mediawiki/extensions/SocialProfile : masterCompress PNGs with zopflipng
mediawiki/extensions/Wikilog : masterCompress PNGs with zopflipng
mediawiki/extensions/Cards : masterCompress PNGs with zopflipng
mediawiki/extensions/OpenStackManager : masterCompress PNGs with zopflipng
mediawiki/extensions/Popups : masterCompress PNGs with zopflipng
mediawiki/extensions/VectorBeta : masterCompress PNGs with zopflipng
mediawiki/extensions/TwnMainPage : masterCompress PNGs with zopflipng
mediawiki/extensions/UserStatus : masterCompress PNGs with zopflipng
mediawiki/extensions/WikiEditor : masterCompress PNGs with zopflipng
mediawiki/extensions/VisualEditor : masterCompress PNGs with zopflipng
mediawiki/extensions/MobileFrontend : masterCompress PNGs with zopflipng
mediawiki/extensions/WikiForum : masterCompress PNGs with zopflipng
mediawiki/extensions/WikimediaBadges : masterCompress PNGs with zopflipng
mediawiki/extensions/Contest : masterCompress PNGs with zopflipng
mediawiki/extensions/MsLinks : masterCompress PNGs with zopflipng
mediawiki/extensions/SemanticComments : masterCompress PNGs with zopflipng
mediawiki/extensions/SemanticDrilldown : masterCompress PNGs with zopflipng
mediawiki/extensions/SiteScout : masterCompress PNGs with zopflipng
mediawiki/extensions/Spreadsheet : masterCompress PNGs with zopflipng
mediawiki/extensions/Theme : masterCompress PNGs with zopflipng
oojs/ui : masterCompress PNGs with zopflipng
mediawiki/extensions/MobileApp : masterCompress PNGs with zopflipng
mediawiki/extensions/SemanticForms : masterCompress PNGs with zopflipng
mediawiki/extensions/OpenStreetMapSlippyMap : masterCompress PNGs with zopflipng
mediawiki/extensions/MsWikiEditor : masterCompress PNGs with zopflipng
mediawiki/extensions/MsCatSelect : masterCompress PNGs with zopflipng
mediawiki/extensions/GuidedTour/guiders : masterCompress PNGs with zopflipng
mediawiki/core : masterCompress PNGs with zopflipng
mediawiki/extensions/CollapsibleVector : masterCompress PNGs with zopflipng
mediawiki/extensions/Wikibase : masterCompress PNGs with zopflipng
mediawiki/extensions/CodeEditor : masterCompress PNGs with zopflipng
mediawiki/extensions/Cargo : masterCompress PNGs with zopflipng
mediawiki/extensions/XMLContentExtension : masterCompress PNGs with zopflipng
mediawiki/extensions/BlueSpiceFoundation : masterCompress PNGs with zopflipng
mediawiki/extensions/VirtualKeyboard : masterCompress PNGs with zopflipng
mediawiki/extensions/WYSIWYG : masterCompress PNGs with zopflipng
mediawiki/extensions/Collection/OfflineContentGenerator/node_modules : masterCompress PNGs with zopflipng
mediawiki/extensions/BlueSpiceExtensions : masterCompress PNGs with zopflipng
mediawiki/extensions/ArticleCreationWorkflow : masterCompress PNGs with zopflipng
mediawiki/extensions/SubPageList : masterCompress PNGs with zopflipng
mediawiki/extensions/WikiLexicalData : masterCompress PNGs with zopflipng
mediawiki/extensions/TwitterLogin : masterCompress PNGs with zopflipng
mediawiki/extensions/VIKI : masterCompress PNGs with zopflipng
mediawiki/extensions/Survey : masterCompress PNGs with zopflipng
mediawiki/extensions/PhpTagsMaps : masterCompress PNGs with zopflipng
mediawiki/extensions/Reflect : masterCompress PNGs with zopflipng
mediawiki/extensions/CentralAuth : masterCompress PNGs with zopflipng
mediawiki/extensions/CodeMirror : masterCompress PNGs with zopflipng
mediawiki/extensions/OpenID : masterCompress PNGs with zopflipng
mediawiki/extensions/Comments : masterCompress PNGs with zopflipng
mediawiki/extensions/PopcornEditor : masterCompress PNGs with zopflipng
mediawiki/extensions/Collection/OfflineContentGenerator/node_modules : masterCompress PNGs with zopflipng
mediawiki/extensions/SemanticPageMaker : masterCompress PNGs with zopflipng
mediawiki/extensions/SemanticExpressiveness : masterCompress PNGs with zopflipng
mediawiki/extensions/SemanticImageAnnotator : masterCompress PNGs with zopflipng
mediawiki/extensions/XMLContentExtension : masterCompress PNGs with zopflipng
mediawiki/extensions/MultiMaps : masterCompress PNGs with zopflipng
mediawiki/extensions/MultiUpload : masterCompress PNGs with zopflipng
mediawiki/extensions/MsUpload : masterCompress PNGs with zopflipng
mediawiki/extensions/WikiForum : masterCompress PNGs with zopflipng
mediawiki/extensions/ArticleFeedback : masterCompress PNGs with zopflipng
mediawiki/extensions/VIKI : masterCompress PNGs with zopflipng
mediawiki/extensions/Wikidata.org : masterCompress PNGs with zopflipng
mediawiki/extensions/SemanticDrilldown : masterCompress PNGs with zopflipng
mediawiki/extensions/SemanticFormsInputs : masterCompress PNGs with zopflipng
mediawiki/extensions/SemanticRating : masterCompress PNGs with zopflipng
mediawiki/extensions/ArticleFeedbackv5 : masterCompress PNGs with zopflipng
mediawiki/extensions/wikihiero : wmf/1.27.0-wmf.14Compress PNGs with zopflipng
mediawiki/extensions/wikihiero : masterCompress PNGs with zopflipng
mediawiki/extensions/wikihiero : wmf/1.27.0-wmf.13Compress PNGs with zopflipng
mediawiki/extensions/CodeEditor : masterCompress PNGs with zopflipng
mediawiki/extensions/Cargo : masterCompress PNGs with zopflipng
mediawiki/extensions/Parsoid/js/contrib : masterCompress PNGs with zopflipng
mediawiki/extensions/Parsoid/js/contrib : masterCompress PNGs with zopflipng
mediawiki/extensions/TwitterLogin : masterCompress PNGs with zopflipng
mediawiki/extensions/PopcornEditor : masterCompress PNGs with zopflipng
mediawiki/extensions/MsUpload : masterCompress PNGs with zopflipng
mediawiki/extensions/MultiMaps : masterCompress PNGs with zopflipng
mediawiki/extensions/MultiUpload : masterCompress PNGs with zopflipng
mediawiki/extensions/SemanticComments : masterCompress PNGs with zopflipng
mediawiki/extensions/SemanticExpressiveness : masterCompress PNGs with zopflipng
mediawiki/extensions/SemanticFormsInputs : masterCompress PNGs with zopflipng
mediawiki/extensions/SemanticImageAnnotator : masterCompress PNGs with zopflipng
mediawiki/extensions/SemanticPageMaker : masterCompress PNGs with zopflipng
mediawiki/extensions/OpenID : masterCompress PNGs with zopflipng
mediawiki/extensions/MobileApp : masterCompress PNGs with zopflipng
mediawiki/extensions/OpenStreetMapSlippyMap : masterCompress PNGs with zopflipng
mediawiki/extensions/Reflect : masterCompress PNGs with zopflipng
mediawiki/extensions/SemanticMediaWiki : masterCompress PNGs with zopflipng
mediawiki/extensions/SemanticForms : masterCompress PNGs with zopflipng
mediawiki/extensions/SemanticRating : masterCompress PNGs with zopflipng
mediawiki/extensions/SemanticResultFormats : masterCompress PNGs with zopflipng
mediawiki/extensions/WikiLexicalData : masterCompress PNGs with zopflipng
mediawiki/extensions/SiteScout : masterCompress PNGs with zopflipng
mediawiki/extensions/SubPageList : masterCompress PNGs with zopflipng
mediawiki/extensions/Survey : masterCompress PNGs with zopflipng
mediawiki/extensions/Theme : masterCompress PNGs with zopflipng
mediawiki/extensions/Spreadsheet : masterCompress PNGs with zopflipng
mediawiki/extensions/VirtualKeyboard : masterCompress PNGs with zopflipng
mediawiki/extensions/SemanticResultFormats : masterCompress PNGs with zopflipng
mediawiki/extensions/Wikibase : masterCompress PNGs with zopflipng
mediawiki/extensions/Wikidata.org : masterCompress PNGs with zopflipng
mediawiki/extensions/UniversalLanguageSelector : masterCompress PNGs with zopflipng
mediawiki/extensions/DonationInterface/vendor : masterCompress PNGs with zopflipng
mediawiki/extensions/Ratings : masterCompress PNGs with zopflipng
mediawiki/extensions/Translate : masterCompress PNGs with zopflipng
mediawiki/extensions/ProofreadPage : masterCompress PNGs with zopflipng
mediawiki/extensions/SemanticMediaWiki : masterCompress PNGs with zopflipng
mediawiki/extensions/SVGEdit : masterCompress PNGs with zopflipng
mediawiki/extensions/SocialProfile : masterCompress PNGs with zopflipng
mediawiki/extensions/UIFeedback : masterCompress PNGs with zopflipng
mediawiki/extensions/MobileFrontend : masterCompress PNGs with zopflipng
mediawiki/extensions/VisualEditor : masterCompress PNGs with zopflipng
mediawiki/extensions/TimedMediaHandler : masterCompress PNGs with zopflipng
mediawiki/extensions/SecurePoll : masterCompress PNGs with zopflipng
mediawiki/extensions/PageTriage : masterCompress PNGs with zopflipng
mediawiki/extensions/wikihiero : masterCompress PNGs with zopflipng
mediawiki/extensions/Thanks : masterCompress PNGs with zopflipng
mediawiki/extensions/OnlineStatusBar : masterCompress PNGs with zopflipng
mediawiki/extensions/SecurePoll : masterCompress PNGs with zopflipng
mediawiki/extensions/OnlineStatusBar : masterCompress PNGs with zopflipng
mediawiki/extensions/Maps : masterCompress PNGs with zopflipng
mediawiki/extensions/TimedMediaHandler : masterCompress PNGs with zopflipng
mediawiki/extensions/UIFeedback : masterCompress PNGs with zopflipng
mediawiki/extensions/Translate : masterCompress PNGs with zopflipng
mediawiki/extensions/TwnMainPage : masterCompress PNGs with zopflipng
mediawiki/extensions/Thanks : masterCompress PNGs with zopflipng
mediawiki/extensions/UserStatus : masterCompress PNGs with zopflipng
mediawiki/extensions/OpenStackManager : masterCompress PNGs with zopflipng
mediawiki/extensions/WikiEditor : masterCompress PNGs with zopflipng
mediawiki/extensions/WikiLove : masterCompress PNGs with zopflipng
mediawiki/extensions/CopyToClipboard : masterCompress PNGs with zopflipng
mediawiki/extensions/AllTimeZones : masterCompress PNGs with zopflipng
mediawiki/extensions/ApiExplorer : masterCompress PNGs with zopflipng
mediawiki/extensions/DonationInterface : masterCompress PNGs with zopflipng
mediawiki/extensions/AbuseFilter : masterCompress PNGs with zopflipng
mediawiki/extensions/BibManager : masterCompress PNGs with zopflipng
mediawiki/extensions/ExtTab : masterCompress PNGs with zopflipng
mediawiki/extensions/FlaggedRevs : masterCompress PNGs with zopflipng
mediawiki/extensions/BlueSpiceFoundation : masterCompress PNGs with zopflipng
mediawiki/extensions/Collection : masterCompress PNGs with zopflipng
mediawiki/extensions/LightweightRDFa : masterCompress PNGs with zopflipng
mediawiki/extensions/Lingo : masterCompress PNGs with zopflipng
mediawiki/extensions/LinkedWiki : masterCompress PNGs with zopflipng
mediawiki/extensions/LiquidThreads : masterCompress PNGs with zopflipng
mediawiki/extensions/GuidedTour/guiders : masterCompress PNGs with zopflipng
mediawiki/extensions/Lingo : masterCompress PNGs with zopflipng
mediawiki/extensions/LightweightRDFa : masterCompress PNGs with zopflipng
mediawiki/extensions/Gather : masterCompress PNGs with zopflipng
mediawiki/extensions/MsWikiEditor : masterCompress PNGs with zopflipng
mediawiki/extensions/MsLinks : masterCompress PNGs with zopflipng
mediawiki/extensions/MsCatSelect : masterCompress PNGs with zopflipng
mediawiki/extensions/MsCalendar : masterCompress PNGs with zopflipng
mediawiki/extensions/ORES : masterCompress PNGs with zopflipng
mediawiki/extensions/MediaWikiChat : masterCompress PNGs with zopflipng
mediawiki/extensions/MathSearch : masterCompress PNGs with zopflipng
mediawiki/extensions/Math : masterCompress PNGs with zopflipng
mediawiki/extensions/GuidedTour : masterCompress PNGs with zopflipng
mediawiki/extensions/MarkAsHelpful : masterCompress PNGs with zopflipng
mediawiki/extensions/Maps : masterCompress PNGs with zopflipng
mediawiki/extensions/HierarchyBuilder : masterCompress PNGs with zopflipng
mediawiki/extensions/LinkedWiki : masterCompress PNGs with zopflipng
mediawiki/extensions/LiquidThreads : masterCompress PNGs with zopflipng
mediawiki/extensions/LifeWebCore : masterCompress PNGs with zopflipng
mediawiki/extensions/LDAPAuthorization : masterCompress PNGs with zopflipng
mediawiki/extensions/ContentTranslation : masterCompress PNGs with zopflipng
mediawiki/extensions/Interlanguage : masterCompress PNGs with zopflipng
mediawiki/extensions/IndexFunction : masterCompress PNGs with zopflipng
mediawiki/extensions/GWToolset : masterCompress PNGs with zopflipng
mediawiki/extensions/Kartographer : masterCompress PNGs with zopflipng
mediawiki/extensions/ImageTagging : masterCompress PNGs with zopflipng
mediawiki/extensions/ImageMap : masterCompress PNGs with zopflipng
mediawiki/extensions/GoogleMaps : masterCompress PNGs with zopflipng
mediawiki/extensions/GettingStarted : masterCompress PNGs with zopflipng
mediawiki/extensions/Favorites : masterCompress PNGs with zopflipng
mediawiki/extensions/InlineCategorizer : masterCompress PNGs with zopflipng
mediawiki/extensions/ExtTab : masterCompress PNGs with zopflipng
mediawiki/extensions/EducationProgram : masterCompress PNGs with zopflipng
mediawiki/extensions/DonationInterface : masterCompress PNGs with zopflipng
mediawiki/extensions/ExtensionDistributor : masterCompress PNGs with zopflipng
mediawiki/extensions/Comments : masterCompress PNGs with zopflipng
mediawiki/extensions/CryoKey : masterCompress PNGs with zopflipng
mediawiki/extensions/ContributionReporting : masterCompress PNGs with zopflipng
mediawiki/extensions/Contest : masterCompress PNGs with zopflipng
mediawiki/extensions/CongressLookup : masterCompress PNGs with zopflipng
mediawiki/extensions/WikimediaBadges : masterCompress PNGs with zopflipng
mediawiki/extensions/CryoKey : masterCompress PNGs with zopflipng
mediawiki/extensions/CodeMirror : masterCompress PNGs with zopflipng
mediawiki/extensions/CleanChanges : masterCompress PNGs with zopflipng
mediawiki/extensions/Challenge : masterCompress PNGs with zopflipng
mediawiki/extensions/Cards : masterCompress PNGs with zopflipng
mediawiki/extensions/BookManagerv2 : masterCompress PNGs with zopflipng
mediawiki/extensions/BookManager : masterCompress PNGs with zopflipng
mediawiki/extensions/VectorBeta : masterCompress PNGs with zopflipng
mediawiki/extensions/Collection : masterCompress PNGs with zopflipng
mediawiki/extensions/CollapsibleVector : masterCompress PNGs with zopflipng
mediawiki/extensions/CentralAuth : masterCompress PNGs with zopflipng
mediawiki/extensions/CentralNotice : masterCompress PNGs with zopflipng
mediawiki/extensions/CirrusSearch : masterCompress PNGs with zopflipng
mediawiki/skins/MonoBook : masterCompress PNGs with zopflipng
mediawiki/extensions/ConfirmEdit : masterCompress PNGs with zopflipng

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes

Change 272281 merged by Florianschmidtwelzow:
Compress PNGs with zopflipng

https://gerrit.wikimedia.org/r/272281

Change 272263 merged by Florianschmidtwelzow:
Compress PNGs with zopflipng

https://gerrit.wikimedia.org/r/272263

Change 272275 merged by Florianschmidtwelzow:
Compress PNGs with zopflipng

https://gerrit.wikimedia.org/r/272275

Change 272269 merged by Florianschmidtwelzow:
Compress PNGs with zopflipng

https://gerrit.wikimedia.org/r/272269

Change 272264 merged by Florianschmidtwelzow:
Compress PNGs with zopflipng

https://gerrit.wikimedia.org/r/272264

Change 272245 merged by Florianschmidtwelzow:
Compress PNGs with zopflipng

https://gerrit.wikimedia.org/r/272245

Change 272240 merged by jenkins-bot:
Compress PNGs with zopflipng

https://gerrit.wikimedia.org/r/272240

Change 272204 merged by jenkins-bot:
Compress PNGs with zopflipng

https://gerrit.wikimedia.org/r/272204

Change 272202 merged by jenkins-bot:
Compress PNGs with zopflipng

https://gerrit.wikimedia.org/r/272202

Change 272234 merged by Florianschmidtwelzow:
Compress PNGs with zopflipng

https://gerrit.wikimedia.org/r/272234

Change 272256 merged by Florianschmidtwelzow:
Compress PNGs with zopflipng

https://gerrit.wikimedia.org/r/272256

Change 272208 merged by Florianschmidtwelzow:
Compress PNGs with zopflipng

https://gerrit.wikimedia.org/r/272208

Change 272254 merged by Florianschmidtwelzow:
Compress PNGs with zopflipng

https://gerrit.wikimedia.org/r/272254

Change 272253 merged by Florianschmidtwelzow:
Compress PNGs with zopflipng

https://gerrit.wikimedia.org/r/272253

Change 272250 merged by Florianschmidtwelzow:
Compress PNGs with zopflipng

https://gerrit.wikimedia.org/r/272250

Change 272241 merged by Florianschmidtwelzow:
Compress PNGs with zopflipng

https://gerrit.wikimedia.org/r/272241

Change 272207 merged by Florianschmidtwelzow:
Compress PNGs with zopflipng

https://gerrit.wikimedia.org/r/272207

Change 272178 abandoned by Florianschmidtwelzow:
Compress PNGs with zopflipng

Reason:
Done in I99e959fe949a323b2b5299eed656b283e6750704

https://gerrit.wikimedia.org/r/272178

Change 272195 merged by Florianschmidtwelzow:
Compress PNGs with zopflipng

https://gerrit.wikimedia.org/r/272195

Change 272164 abandoned by Florianschmidtwelzow:
Compress PNGs with zopflipng

Reason:
Done in Idf8e2bb781f07e2ab8e0d65eddae129fbd6b220e

https://gerrit.wikimedia.org/r/272164

Change 272168 abandoned by Florianschmidtwelzow:
Compress PNGs with zopflipng

Reason:
Done in I65af1742d5bbd5ac30a22995d58de210fe056977

https://gerrit.wikimedia.org/r/272168

Change 272166 abandoned by Florianschmidtwelzow:
Compress PNGs with zopflipng

Reason:
Done in I152cfdf9f24b80979a20116363f34a643e12b8e9

https://gerrit.wikimedia.org/r/272166

Change 272165 abandoned by Florianschmidtwelzow:
Compress PNGs with zopflipng

Reason:
Done in I75cbcaa0127349c75a0041c716b4282c94ca5f86

https://gerrit.wikimedia.org/r/272165

Change 272162 abandoned by Florianschmidtwelzow:
Compress PNGs with zopflipng

Reason:
Done in I04993ea97b05cf2864fbd7db4b3bc51403c99435

https://gerrit.wikimedia.org/r/272162

Change 272183 abandoned by Florianschmidtwelzow:
Compress PNGs with zopflipng

Reason:
Done in I248688a1720e307f5621a5c1e2be1958d41cee5c

https://gerrit.wikimedia.org/r/272183

Change 272161 abandoned by Florianschmidtwelzow:
Compress PNGs with zopflipng

Reason:
Read only mirror:
[READ ONLY] This mirror is here only for i18n updates from Translatewiki. Other contributions are welcome at https://github.com/SemanticMediaWiki/SemanticResultFormats

https://gerrit.wikimedia.org/r/272161

Change 272160 abandoned by Florianschmidtwelzow:
Compress PNGs with zopflipng

Reason:
Done in Ie0202aeaacc73168a13c7c4392804388990e2579

https://gerrit.wikimedia.org/r/272160

Change 272189 merged by jenkins-bot:
Compress PNGs with zopflipng

https://gerrit.wikimedia.org/r/272189

Change 272155 abandoned by Florianschmidtwelzow:
Compress PNGs with zopflipng

Reason:
Done in I8625d89e41b1c9b15bce844940d7ad71553562e1

https://gerrit.wikimedia.org/r/272155

Change 272158 abandoned by Florianschmidtwelzow:
Compress PNGs with zopflipng

Reason:
Done in I3f22b89d9ba10448849a83f0c5501b9132f0e2a4

https://gerrit.wikimedia.org/r/272158

Change 272231 merged by Florianschmidtwelzow:
Compress PNGs with zopflipng

https://gerrit.wikimedia.org/r/272231

Change 272230 merged by Florianschmidtwelzow:
Compress PNGs with zopflipng

https://gerrit.wikimedia.org/r/272230

Change 272228 merged by Florianschmidtwelzow:
Compress PNGs with zopflipng

https://gerrit.wikimedia.org/r/272228

Change 272152 abandoned by Florianschmidtwelzow:
Compress PNGs with zopflipng

Reason:
Done in I66362cfcff82ebb9280ed01231888c9a61e8a173

https://gerrit.wikimedia.org/r/272152

Change 272149 abandoned by Florianschmidtwelzow:
Compress PNGs with zopflipng

Reason:
Done in I854f32f4e47b2ba68e31ae8c1c55dd62d623ebe9

https://gerrit.wikimedia.org/r/272149

Change 272141 abandoned by Florianschmidtwelzow:
Compress PNGs with zopflipng

Reason:
Done in I5d44b87648f892cf617ab1d04f78300f05006c4b

https://gerrit.wikimedia.org/r/272141

Change 272127 abandoned by Florianschmidtwelzow:
Compress PNGs with zopflipng

Reason:
Done in I59e7e3964c97b982cef47c206673afd8345b650c

https://gerrit.wikimedia.org/r/272127

Change 272138 abandoned by Florianschmidtwelzow:
Compress PNGs with zopflipng

Reason:
Done in Icb74fa79d8541625035a0fd28d23429cd686dc7b

https://gerrit.wikimedia.org/r/272138

Change 272159 abandoned by Florianschmidtwelzow:
Compress PNGs with zopflipng

Reason:
Done in Ia9375d59249425e1094df64f97c5188edaddf8ff

https://gerrit.wikimedia.org/r/272159

Change 272157 abandoned by Florianschmidtwelzow:
Compress PNGs with zopflipng

Reason:
Done in I2e6fe98939167191c40109207d38de73019639b9

https://gerrit.wikimedia.org/r/272157

Change 272156 abandoned by Florianschmidtwelzow:
Compress PNGs with zopflipng

Reason:
Done in I3ac66020e620744d79422f08aed5ea2635ecdf2d

https://gerrit.wikimedia.org/r/272156

Change 272154 abandoned by Florianschmidtwelzow:
Compress PNGs with zopflipng

Reason:
Done in I6ace4f92f6281bf7aaac28d402f19e5ee4defa9b

https://gerrit.wikimedia.org/r/272154

Change 272135 abandoned by Florianschmidtwelzow:
Compress PNGs with zopflipng

Reason:
Done in I564586fd0b27585d260bbb6f9cb3bb31e160c186

https://gerrit.wikimedia.org/r/272135

Change 272134 abandoned by Florianschmidtwelzow:
Compress PNGs with zopflipng

Reason:
Done in I4aa4d986a18680838df3fc45fbc2c32e83499bc9

https://gerrit.wikimedia.org/r/272134

Change 272132 abandoned by Florianschmidtwelzow:
Compress PNGs with zopflipng

Reason:
Done in I2984dad2e360eedccf260a1b07894647eebb199e

https://gerrit.wikimedia.org/r/272132

Change 272145 abandoned by Florianschmidtwelzow:
Compress PNGs with zopflipng

Reason:
Done in Idcdcba293a1784968e1281d79344ed02a5d409c2

https://gerrit.wikimedia.org/r/272145

Change 272182 merged by jenkins-bot:
Compress PNGs with zopflipng

https://gerrit.wikimedia.org/r/272182

Change 272153 merged by jenkins-bot:
Compress PNGs with zopflipng

https://gerrit.wikimedia.org/r/272153

Change 272177 merged by Florianschmidtwelzow:
Compress PNGs with zopflipng

https://gerrit.wikimedia.org/r/272177

Change 272171 abandoned by Florianschmidtwelzow:
Compress PNGs with zopflipng

Reason:
Done in I9e54e90af3778479a9677fada7e18028209a4764

https://gerrit.wikimedia.org/r/272171

Change 272143 abandoned by Ori.livneh:
Compress PNGs with zopflipng

https://gerrit.wikimedia.org/r/272143

Change 272239 abandoned by Ori.livneh:
Compress PNGs with zopflipng

https://gerrit.wikimedia.org/r/272239

Change 272201 abandoned by Umherirrender:
Compress PNGs with zopflipng

Reason:
Same as Ia7af30948786cd291b1832a001eadc1f44ee0370

https://gerrit.wikimedia.org/r/272201

Change 272187 merged by jenkins-bot:
Compress PNGs with zopflipng

https://gerrit.wikimedia.org/r/272187

Unexpected regression in https://gerrit.wikimedia.org/r/#/c/272093 (EducationProgram)

mediawiki/extensions/EducationProgram/resources/images/added-to-course-notification.png
has been overwritten with the content of
mediawiki/extensions/EducationProgram/resources/images/course-talk-notification.png

I brought back the old version of the icon in https://gerrit.wikimedia.org/r/272720 but didn't try to compress it.

TheDJ added a subscriber: TheDJ.Feb 24 2016, 9:13 AM

Regression in CodeEditor as well, was reverted in:
https://gerrit.wikimedia.org/r/272817

TheDJ added a comment.Feb 24 2016, 9:14 AM

Seems to me we need to check all conversions now. Three extensions with problems is a pattern...

ori added a comment.Feb 24 2016, 9:16 AM

Seems to me we need to check all conversions now. Three extensions with problems is a pattern...

Yes. Crap.

ori added a comment.Feb 24 2016, 9:22 AM

This might have happened because:

  • I used parallel
  • zopflipng re-uses the same temp file name
  • Files can get mixed up when multiple zopflipng processes are interleaved.

If that's the case, then it could have happened anywhere. It's 1:21AM here but tomorrow I will write a script to scrape the commits from Gerrit and automatically detect swapped files somehow.

Change 272983 had a related patch set uploaded (by Krinkle):
Compress PNGs with zopflipng

https://gerrit.wikimedia.org/r/272983

Change 272984 had a related patch set uploaded (by Krinkle):
Compress PNGs with zopflipng

https://gerrit.wikimedia.org/r/272984

Change 272983 merged by jenkins-bot:
Compress PNGs with zopflipng

https://gerrit.wikimedia.org/r/272983

Change 272984 merged by jenkins-bot:
Compress PNGs with zopflipng

https://gerrit.wikimedia.org/r/272984

Change 272196 merged by Krinkle:
Compress PNGs with zopflipng

https://gerrit.wikimedia.org/r/272196

Perhelion added a subscriber: Perhelion.EditedFeb 27 2016, 10:48 PM

Two files on the extensions-wikihiero are overwritten with completely other files:
Reported on the w:De:WikiProjekt_Ägyptologie

https://gerrit.wikimedia.org/r/#/c/272984/1/img/hiero_W9.png,unified
https://gerrit.wikimedia.org/r/#/c/272984/1/img/hiero_Y3.png,unified

Change 272235 abandoned by Paladox:
Compress PNGs with zopflipng

Reason:
The patches are being reverted, plus these images are upstream in the OpenLayers repo.

https://gerrit.wikimedia.org/r/272235

Change 272282 abandoned by Krinkle:
Compress PNGs with zopflipng

Reason:
Redundant with I81be54b13f10f2c76f0838419fcc96f10c4d8bd2

https://gerrit.wikimedia.org/r/272282

Change 272180 abandoned by Ori.livneh:
Compress PNGs with zopflipng

https://gerrit.wikimedia.org/r/272180

Change 272273 abandoned by Bartosz Dziewoński:
Compress PNGs with zopflipng

Reason:
Duplicate of https://gerrit.wikimedia.org/r/#/c/272175/

https://gerrit.wikimedia.org/r/272273

Change 272272 merged by jenkins-bot:
Compress PNGs with zopflipng

https://gerrit.wikimedia.org/r/272272

Oliv0 removed a subscriber: Oliv0.Mar 30 2016, 3:41 PM

Change 280766 had a related patch set uploaded (by Awight):
Compress PNGs using zopflipng

https://gerrit.wikimedia.org/r/280766

Change 280766 merged by jenkins-bot:
Compress PNGs using zopflipng

https://gerrit.wikimedia.org/r/280766

ori closed this task as Resolved.Apr 7 2016, 6:43 PM

Change 272186 abandoned by Krinkle:
Compress PNGs with zopflipng

https://gerrit.wikimedia.org/r/272186

Change 272284 abandoned by Krinkle:
Compress PNGs with zopflipng

https://gerrit.wikimedia.org/r/272284

Change 272214 abandoned by Krinkle:
Compress PNGs with zopflipng

https://gerrit.wikimedia.org/r/272214

Change 272198 abandoned by Robert Vogel:
Compress PNGs with zopflipng

Reason:
We've had troubles with the zopflipng conversion in BlueSpiceFoundation. File contents got switched. We had to revert some of it.

https://gerrit.wikimedia.org/r/272198

Change 272286 abandoned by Ori.livneh:
Compress PNGs with zopflipng

https://gerrit.wikimedia.org/r/272286